# BEGIN SourceDeps(oneline):
BuildRequires: libgio-devel pkgconfig(x11)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define snap 20140224
%define rel  6

Name:          byzanz
Version:       0.3
Release:       alt1_0.git%{snap}%{rel}
Summary:       A desktop recorder
License:       GPLv3+
Group:         Video
URL:           http://git.gnome.org/browse/byzanz
#Source0: http://download.gnome.org/sources/%%{name}/0.2/%%{name}-%%{version}.tar.bz2
#git clone git://git.gnome.org/byzanz
#git archive --prefix=byzanz-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../byzanz-$(date +%Y%m%d).tar.xz

Source0:       %{name}-%{snap}.tar.xz

BuildRequires: gnome-common
BuildRequires: pkgconfig(cairo) >= 1.8.10
BuildRequires: gtk3-demo libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires: pkgconfig(xdamage) >= 1.0
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: pkgconfig(gstreamer-base-1.0) 
BuildRequires: gst-plugins1.0-devel gst-plugins1.0-gir-devel
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: intltool
BuildRequires: perl(XML/Parser.pm)
Source44: import.info


%description
Byzanz is a desktop recorder striving for ease of use. It can record to 
GIF images, Ogg Theora video - optionally with sound - and other formats.
A command-line recording tool is included.

%prep
%setup -q -n %{name}-%{snap}

NOCONFIGURE=1 ./autogen.sh

%build
CFLAGS="%{optflags} -Wno-deprecated-declarations"
%ifarch %{arm}
# http://rwmj.wordpress.com/2014/01/06/alignment-errors-on-fedora-arm/
CFLAGS="$CFLAGS -Wno-cast-align"
%endif
%configure
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%{name}-playback
%{_bindir}/%{name}-record
%{_datadir}/icons/hicolor/*/apps/%{name}-record-area.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-desktop.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-window.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-playback.1*
%{_mandir}/man1/%{name}-record.1*


%changelog
* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.git201402246
- new version

